
function myrit(el,s){if(!s)s=el.value;if(!s)return;el.value=s;el.onfocus=function(){if(this.value==s){this.value='';this.style.color='#000';}};el.onblur=function(){if(!this.value){this.value=s;this.style.color='#999';}};}
var softwares={init:function(){var T=this;function $id(s){return document.getElementById(s);}
function trim(s){return s.replace(/^\s+|\s+$/g,'');}
var st=$id('search_txt');var sb=$id('search_btn');var hint='ÇëÊäÈëÈí¼þÃû³Æ';function sdo(){var s=trim(st.value);if(s&&s!=hint)
window.open('http://soft.gougou.com/search?id=1018524&search='+encodeURIComponent(s));}
myrit(st,hint);st.onkeypress=function(e){if(!e)e=window.event;if(e.keyCode==13)sdo();};sb.onclick=sdo;var a=$id('app_tabarea').getElementsByTagName('a');a[0].onclick=a[1].onclick=f;var c=[$id('pc'),$id('mobi')];var i=0;function f(){if(this.className)return;a[i].className='';c[i].style.display='none';i=1-i;a[i].className='app_bt_sc';c[i].style.display='block';T.__updateHeight(true);}}};parent.J.add('softwares',softwares,window);